/**
 * Copyright (C) 2012 Ness Computing, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.nesscomputing.jersey;

import com.google.inject.Binder;
import com.google.inject.binder.LinkedBindingBuilder;
import com.google.inject.multibindings.Multibinder;
import com.sun.jersey.spi.container.ContainerRequestFilter;
import com.sun.jersey.spi.container.ContainerResponseFilter;
import com.sun.jersey.spi.container.ResourceFilterFactory;

public final class NessJerseyBinder
{
    private NessJerseyBinder()
    {
    }

    public static LinkedBindingBuilder<ContainerRequestFilter> bindRequestFilter(final Binder binder)
    {
        return Multibinder.newSetBinder(binder, ContainerRequestFilter.class).addBinding();
    }

    public static LinkedBindingBuilder<ContainerResponseFilter> bindResponseFilter(final Binder binder)
    {
        return Multibinder.newSetBinder(binder, ContainerResponseFilter.class).addBinding();
    }

    public static LinkedBindingBuilder<ResourceFilterFactory> bindResourceFilterFactory(final Binder binder)
    {
        return Multibinder.newSetBinder(binder, ResourceFilterFactory.class).addBinding();
    }
}

